Bug 880882 (php-JsonSchema) - Review Request: php-JsonSchema - PHP implementation of JSON schema
Summary: Review Request: php-JsonSchema - PHP implementation of JSON schema
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: php-JsonSchema
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-28 02:51 UTC by Shawn Iwinski
Modified: 2013-01-12 01:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-26 04:58:27 UTC
fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
phpci-src.log (16.31 KB, text/plain)
2012-12-14 14:27 UTC, Remi Collet
no flags Details
phpci-tests.log (12.14 KB, text/plain)
2012-12-14 14:28 UTC, Remi Collet
no flags Details
php-JsonSchema-review.txt (6.12 KB, text/plain)
2012-12-14 14:28 UTC, Remi Collet
no flags Details

Description Shawn Iwinski 2012-11-28 02:51:57 UTC
Spec URL: http://siwinski.fedorapeople.org/rpmbuild/SPECS/php-JsonSchema.spec

SRPM URL: http://siwinski.fedorapeople.org/rpmbuild/SRPMS/php-JsonSchema-1.2.1-1.fc17.src.rpm

Description:
A PHP implementation for validating JSON structures against a given schema.

See http://json-schema.org for more details.


Fedora Account System Username: siwinski

Comment 1 Shawn Iwinski 2012-11-28 02:53:05 UTC
NOTE: Tests not included or run because Composer (http://getcomposer.org/) required

Comment 2 Remi Collet 2012-12-03 17:52:21 UTC
You can simply run the tests using a trivial PSR0 autoload.php

<?php
spl_autoload_register(function ($class) {
	$src = str_replace('\\', '/', $class).'.php';
	require_once $src;
});


And 
phpunit --bootstrap=autoload.php -d include_path="../src/:.:/usr/share/pear" .

Comment 3 Shawn Iwinski 2012-12-08 16:21:13 UTC
(In reply to comment #2)

Thanks for the tip.  Tests are now run in %check.

Changelog:
- Updated to upstream version 1.2.2
- Added php-ctype require
- Added PSR-0 autoloader for tests
- Added %check

Spec URL: http://siwinski.fedorapeople.org/rpmbuild/SPECS/php-JsonSchema.spec

SRPM URL: http://siwinski.fedorapeople.org/rpmbuild/SRPMS/php-JsonSchema-1.2.2-1.fc17.src.rpm

Comment 4 Shawn Iwinski 2012-12-08 21:05:47 UTC
Sorry.  Build failure in Koji.  Will fix soon.

Comment 5 Shawn Iwinski 2012-12-09 23:54:35 UTC
Changelog:
- Fixed failing Mock/Koji builds
- Removed "docs" directory from %doc


Spec URL: http://siwinski.fedorapeople.org/rpmbuild/SPECS/php-JsonSchema.spec

SRPM URL: http://siwinski.fedorapeople.org/rpmbuild/SRPMS/php-JsonSchema-1.2.2-2.fc17.src.rpm

Comment 6 Remi Collet 2012-12-14 14:27:44 UTC
Created attachment 663620 [details]
phpci-src.log

Comment 7 Remi Collet 2012-12-14 14:28:12 UTC
Created attachment 663622 [details]
phpci-tests.log

Comment 8 Remi Collet 2012-12-14 14:28:58 UTC
Created attachment 663624 [details]
php-JsonSchema-review.txt

Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-17-x86_64
Command line :/usr/bin/fedora-review -b 880882

Comment 9 Remi Collet 2012-12-14 14:29:33 UTC
All seems fine. No blocker.

=== APPROVED ===

Comment 10 Shawn Iwinski 2012-12-14 16:05:57 UTC
THANKS for the review and tips!


New Package SCM Request
=======================
Package Name: php-JsonSchema
Short Description: PHP implementation of JSON schema
Owners: siwinski
Branches: f17 f18 el6
InitialCC:

Comment 11 Gwyn Ciesla 2012-12-14 16:14:19 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2012-12-16 06:29:33 UTC
php-JsonSchema-1.2.2-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/php-JsonSchema-1.2.2-2.fc18

Comment 13 Fedora Update System 2012-12-16 06:29:46 UTC
php-JsonSchema-1.2.2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/php-JsonSchema-1.2.2-2.fc17

Comment 14 Fedora Update System 2012-12-16 06:29:56 UTC
php-JsonSchema-1.2.2-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-JsonSchema-1.2.2-2.el6

Comment 15 Fedora Update System 2012-12-16 19:09:58 UTC
php-JsonSchema-1.2.2-2.fc18 has been pushed to the Fedora 18 testing repository.

Comment 16 Fedora Update System 2012-12-26 04:58:29 UTC
php-JsonSchema-1.2.2-2.fc17 has been pushed to the Fedora 17 stable repository.

Comment 17 Fedora Update System 2013-01-02 19:08:44 UTC
php-JsonSchema-1.2.2-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 18 Fedora Update System 2013-01-12 01:02:22 UTC
php-JsonSchema-1.2.2-2.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.